Bug 114744 - too many arguments in function call
too many arguments in function call
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kakasi (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 06:16 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.3.4-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 02:41:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-02 06:16:59 EST
Description of problem:

I just tried to compile package kakasi-2.3.4-13 from Redhat
Fedora Core 1.

The compiler said

1.

mkkanwa.c(92): warning #140: too many arguments in function call

The source code is

            usage(argv, options);

But

static void
usage(argv)
     char **argv;
{

Suggest remove parameter options from call & enhance to use ISO C,
not K&R C, prototypes.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2004-02-03 02:41:37 EST
Fixed in 2.3.4-15

Note You need to log in before you can comment on or make changes to this bug.